%define name	kaffeine
%define version 0.4.1
%define release 3mdk
%define xineversion 1
%define fversion %version

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Xine-based Media Player for KDE3
License:	GPL
Url:		http://members.chello.at/kaffeine
Group:		Graphical desktop/KDE
Source:		%name-%fversion.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	kdelibs-devel
BuildRequires:	libxine-devel >= %xineversion
Requires:	xine-plugins >= %xineversion
Requires:	xine-arts >= %xineversion	

%description
Kaffeine is a Xine-based Media Player for QT/KDE3.

%prep
%setup -q -n %name-%fversion

%build
export CFLAGS=${RPM_OPT_FLAGS}
export CXXFLAGS=${RPM_OPT_FLAGS}
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl kaffeine Multimedia/Video $RPM_BUILD_ROOT/%{_datadir}/applnk/Multimedia/kaffeine.desktop $RPM_BUILD_ROOT/%{_menudir}/kaffeine kde

#mdk icons
install -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}
rm -f %buildroot%_datadir/mimelnk/video/x-ms-asf.desktop
#gw conflicts with kmplayer
# TODO: this should go to kdelibs-common
rm -f %buildroot%_datadir/mimelnk/audio/x-ms-wma.desktop
#gw they conflict with 10.0's KDE
rm -f %buildroot%_datadir/mimelnk/video/x-ms-wmv.desktop
rm -f %buildroot%_datadir/services/mms.protocol

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/kaffeine
%dir %_libdir/kaffeineplugin/
%_libdir/kaffeineplugin/kaffeineplugin.la
%_libdir/kaffeineplugin/kaffeineplugin.so
%_libdir/libkaffeinepart.so
%_libdir/libkaffeinepart.la
%doc %_datadir/doc/HTML/en/kaffeine/
%{_datadir}/applnk/Multimedia/kaffeine.desktop
%_datadir/mimelnk/*/*
%{_datadir}/apps/kaffeine
#gw TODO: does this dir belong to the kaffeine package?
%dir %{_datadir}/apps/profiles/
%{_datadir}/apps/profiles/kaffeine.profile.xml
%{_datadir}/services/*
%{_iconsdir}/*/*/*/*.png
%{_menudir}/kaffeine
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%changelog
* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- fix stupid typo, really fixing the conflict with kmplayer

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- fix directory ownership
- fix conflict with kmplayer

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- fix file list
- fix installation
- remove docs patch
- new version

* Mon Nov 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add new files
- disable docs
- drop merged patch
- new version

* Wed Oct  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-0.beta1.1mdk
- fix menu entry
- disable rpath
- add missing files
- fix buildrequires
- new version

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- quiet setup
- add requires on xine-plugins and xine-arts (useful for a KDE app)

* Sun Jun 29 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.3.1-1mdk
- contributed by Sbastien Prud'homme <prudhomme@laposte.net>
